Page MenuHomePhabricator

[Epic] Add support for Campaigns
Closed, ResolvedPublic

Description

Add support for Campaigns (meta-events), such as Art + Feminism, that have multiple instances at different times/locations. A program organizer should be able to create a program from the campaign's page, which will propagate their new program with the same description and training materials. The metrics from this new program will also roll up into the campaign's metrics.

More info on the current work: https://meta.wikimedia.org/wiki/Community_Tech/Programs_%26_Events_Dashboard

Event Timeline

Abit created this task.Feb 2 2016, 6:34 PM
Abit raised the priority of this task from to Needs Triage.
Abit updated the task description. (Show Details)
Abit moved this task to Backlog on the Education-Program-Dashboard board.
Abit added a subscriber: Abit.
Restricted Application added subscribers: StudiesWorld, Base, Aklapper. · View Herald TranscriptFeb 2 2016, 6:34 PM

We use 'cohorts' for this kind of thing, and we use the 'clone course' feature to make it easy to re-use content for existing courses. I think extending that approach — using cohorts as the basis for 'meta-events' — will address this well. The one thing to tie it together would be a path to create a new event *from* the cohort page, and have it clone from an associated course. (Currently, a user setting up a new course may only clone an existing course that they are an instructor for.)

I like the "clone" process that Wiki Ed has.

I am not sure that much more should be designed now because right now there is so much uncertainty about when to clone a course. Anyone who makes a course page is likely to have regular changes to their design.

awight added a subscriber: awight.Feb 17 2016, 7:53 AM

@Abit: Is this in the MVP?

I agree that "cohorts" would be a very flexible way to deal with multiple affiliations--but about the name and how they currently work, see T125932 and T126504.

awight renamed this task from Add meta-events, such as Art + Fem. {add} to Add support for meta-events, such as Art + Fem. {add}.Feb 17 2016, 8:18 AM
awight set Security to None.
Abit added a comment.Feb 17 2016, 4:31 PM

@Ragesoss mentioned wiki ed will be doing this eventually, so i think this falls under "mice to have" rather than mvp.

awight renamed this task from Add support for meta-events, such as Art + Fem. {add} to [Epic] Add support for meta-events, such as Art + Fem. {add}.Feb 27 2016, 6:45 AM
DannyH added a subscriber: DannyH.
DannyH renamed this task from [Epic] Add support for meta-events, such as Art + Fem. {add} to [Epic] Add support for Campaigns.Oct 20 2016, 10:42 PM
DannyH updated the task description. (Show Details)
DannyH added subscribers: MusikAnimal, kaldari.
DStrine removed a subscriber: awight.Oct 31 2016, 2:16 PM
MusikAnimal closed this task as Resolved.Jan 6 2017, 12:50 AM
MusikAnimal claimed this task.